# General

[![Build Status](https://drone.wtf-eg.de/api/badges/FreeFleetManagement/manual/status.svg)](https://drone.wtf-eg.de/FreeFleetManagement/manual)

# Introduction

Call ```sphinx-quickstart``` to setup the project.

You can follow this guide to install Sphinx.

```
https://www.sphinx-doc.org/en/master/usage/installation.html
```

You can follow this guid to get started with Sphinx.

```
https://www.sphinx-doc.org/en/master/usage/quickstart.html#
```

# Build Documentation

## Python Dependencies

In order to generate the documentation,
first create a Python virtual environment using the
`venv` module included in Python like this.

* Create a virtual Python environment in the directory `venv` like this.

```
python3 -m venv venv
```

* Activate the virtual Python environment like this.

```
source venv/bin/activate
```

* Install the packages listed in [requirements.txt](./requirements.txt) using `pip` like this.

```
pip install -r requirements.txt
```

## Running Generator via Make

The top level directory contains a Makefile.
Generate HTML output like this.

`````
make html
`````

Generate PDF output like this.

`````
make latexpdf
`````

The output files of the final handbook can be found in the subfolder `./build`.

All generated intermediate artifacts and the final output files can be found in the `./build` subfolder.

### Clean up

1. Deactivate the virtual Python environment: ```deactivate```
2. Clean up the build sources: ```make clean``` and ```rm -r build bundle```

# File System

* `build`: build directory
* `make.bat`:
* `Makefile`:
* `readme.md`: this file
* `source`: source directory
